.comment ~
*******************************************************************************
*                                                                             *
*     HarteTec S-100 Super-I/O Controller Banked BIOS Configuration Library   *
*                                                                             *
*******************************************************************************
*                                                                             *
*  Copyright (C) 2002-2003 Harte Technologies, LLC.                           *
*                                                                             *
*  This file is part of bios3-m80, the CP/M 3.0 CBIOS for the                 *
*  HarteTec S-100 Super-I/O Controller                                        *
*                                                                             *
*  bios3-m80 is free software; you can redistribute it and/or modify          *
*  it under the terms of the GNU General Public License as published by       *
*  the Free Software Foundation; either version 2 of the License, or          *
*  (at your option) any later version.                                        *
*                                                                             *
*  bios3-m80 is distributed in the hope that it will be useful,               *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of             *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              *
*  GNU General Public License for more details.                               *
*                                                                             *
*  You should have received a copy of the GNU General Public License          *
*  along with bios3-m80; if not, write to the Free Software                   *
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  *
*                                                                             *
*******************************************************************************

 *******************************************************************************
 *                                                                             *
 * $Archive::  $                                                               * 
 *                                                                             *
 * $Workfile:: config-b.inc                                    $               * 
 *                                                                             *
 * $Revision:: 5                                                      $        *
 *                                                                             *
 * $Author:: Hharte $ http://www.hartetec.com                                  *
 *                                                                             *
 * $Date:: 2/10/04 3:34p                                 $                     *
 *                                                                             *
 *                                                                             *
 * Module Description:                                                         *
 *                                                                             *
 * Environment:                                                                *
 *     kernel mode only                                                        *
 *                                                                             *
 * $History:: config-b.inc                                     $               *
 * 
 * *****************  Version 5  *****************
 * User: Hharte       Date: 2/10/04    Time: 3:34p
 * Updated in $/SuperIO/bios3-m80
 * Converted Tabs to Spaces for ease of editing under CP/M.
 * 
 * *****************  Version 4  *****************
 * User: Hharte       Date: 2/10/04    Time: 12:05p
 * Updated in $/SuperIO/bios3-m80
 * Includes Randy McLaughlin's 8080 code to date.  Not tested on
 * a real 8080/8085 yet.
 * 
 * *****************  Version 3  *****************
 * User: Hharte       Date: 2/08/04    Time: 6:33a
 * Updated in $/SuperIO/bios3-m80
 * conditional assembly for FINT and MUX IDE support.
 * 
 * *****************  Version 2  *****************
 * User: Hharte       Date: 2/05/04    Time: 7:44p
 * Updated in $/SuperIO/bios3-m80
 * Supports Multiplexed IDE and Floppy INT instead of polling.
 * This version still only supports 720K Diskettes.
 * 
 * *****************  Version 1  *****************
 * User: Hharte       Date: 8/31/03    Time: 7:49p
 * Created in $/SuperIO/bios3-m80
 * Initial Version
 * 
 *                                                                             *
 *******************************************************************************

~   ; end of .comment

true    equ     -1
false   equ     not true

byte    equ     1
word    equ     2

banked      equ     true
ldrbios     equ     false
debug       equ     true
dbg_verbose equ     true
fl_144m     equ     true        ; Floppy FINT Support requires board wire mod.
mux_ide     equ     true        ; Multiplexed IDE support requires two trace cuts
ide_drive1  equ     true
ide_drive2  equ     true
ide_drive3  equ     true
z80proc     equ     true        ; True for Z80 processor, false for 8080/8085
    
IF      BANKED
    IF LDRBIOS
        IF1
            .PRINTX "LDRBIOS may not be banked -- forcing non-banked LDRBIOS."
            ldrbios set false
        ENDIF
    ELSE
        IF1 
            .PRINTX "Generating banked CBIOS."
        ENDIF
    ENDIF
ELSE
    IF LDRBIOS
        IF1 
            .PRINTX "Generating LDRBIOS."
        ENDIF
    ELSE
        IF1 
            .PRINTX "Generating non-banked CBIOS." 
        ENDIF
    ENDIF
ENDIF   


