.comment ~
*******************************************************************************
*                                                                             *
*     HarteTec S-100 Super-I/O Controller NS16550 Equates                     *
*                                                                             *
*******************************************************************************
*                                                                             *
*  Copyright (C) 2000-2003 Harte Technologies, LLC.                           *
*                                                                             *
*  This file is part of bios3-m80, the CP/M 3.0 CBIOS for the                 *
*  HarteTec S-100 Super-I/O Controller                                        *
*                                                                             *
*  bios3-m80 is free software; you can redistribute it and/or modify          *
*  it under the terms of the GNU General Public License as published by       *
*  the Free Software Foundation; either version 2 of the License, or          *
*  (at your option) any later version.                                        *
*                                                                             *
*  bios3-m80 is distributed in the hope that it will be useful,               *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of             *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              *
*  GNU General Public License for more details.                               *
*                                                                             *
*  You should have received a copy of the GNU General Public License          *
*  along with bios3-m80; if not, write to the Free Software                   *
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  *
*                                                                             *
*******************************************************************************

 *******************************************************************************
 *                                                                             *
 * $Archive::  $                                                               * 
 *                                                                             *
 * $Workfile:: ns16550.inc                                     $               * 
 *                                                                             *
 * $Revision:: 2                                                      $        *
 *                                                                             *
 * $Author:: Hharte $ http://www.hartetec.com                                  *
 *                                                                             *
 * $Date:: 2/10/04 3:34p                                 $                     *
 *                                                                             *
 *                                                                             *
 * Module Description:                                                         *
 *                                                                             *
 * Environment:                                                                *
 *     kernel mode only                                                        *
 *                                                                             *
 * $History:: ns16550.inc                                      $               *
 * 
 * *****************  Version 2  *****************
 * User: Hharte       Date: 2/10/04    Time: 3:34p
 * Updated in $/SuperIO/bios3-m80
 * Converted Tabs to Spaces for ease of editing under CP/M.
 * 
 * *****************  Version 1  *****************
 * User: Hharte       Date: 8/31/03    Time: 7:49p
 * Created in $/SuperIO/bios3-m80
 * Initial Version
 * 
 *                                                                             *
 *******************************************************************************

~   ; end of .comment


mb$input        equ 00000001b           ; device may do input
mb$output       equ 00000010b           ; device may do output
mb$in$out       equ mb$input+mb$output

mb$soft$baud    equ 00000100b           ; software selectable
                                        ; baud rates

mb$serial       equ 00001000b           ; device may use protocol
mb$xon$xoff     equ 00010000b           ; XON/XOFF protocol
                                        ; enabled

baud$none       equ 0                   ; no baud rate associated
                                        ; with this device
baud$50         equ 2304                ; 50 baud
baud$75         equ 1536                ; 75 baud
baud$110        equ 1047                ; 110 baud
baud$134        equ 857                 ; 134.5 baud
baud$150        equ 768                 ; 150 baud
baud$300        equ 384                 ; 300 baud
baud$600        equ 192                 ; 600 baud
baud$1200       equ 96                  ; 1200 baud
baud$1800       equ 72                  ; 1800 baud
baud$2400       equ 48                  ; 2400 baud
baud$3600       equ 32                  ; 3600 baud
baud$4800       equ 24                  ; 4800 baud
baud$7200       equ 16                  ; 7200 baud
baud$9600       equ 12                  ; 9600 baud
baud$19200      equ 6                   ; 19.2k baud
baud$38400      equ 3                   ; 38.4k baud
baud$57600      equ 2                   ; 57.6k baud
baud$115200     equ 1                   ; 115.2k baud

mode$n81        equ 003h                ; No Parity, 8 data bits, 1 stop bit
mode$e71        equ 01Ah                ; Even Parity, 7 data bits, 1 stop bit
